$resolution-minuscule: 480px;
$resolution-tiny: 520px;
$resolution-small: 720px;
$resolution-medium: 1200px;
$resolution-large: 1800px;

$br-small: 7px;
$br-medium: 15px;
$br-large: 25px;

$dark-text: #e8eef2;
// $dark-background: hsl(0, 0%, 8.5%);
$dark-background: hsl(0, 0%, 7%);
$dark-foreground: #191919;
$dark-foreground-alt: #1f1f1e;

$dark-shadow: hsl(0, 0%, 18%) 0px 0px 0px 1px;
$dark-shadow-large: hsl(0, 0%, 18%) 0px 0px 0px 1px;
$dark-mediumground: mix($dark-text, $dark-background, 3%);

$light-text: #2e3440;
$light-background: #ece7e1ff;
$light-foreground: #f6f3f0;
$light-foreground-alt: #f1ede9;

$light-shadow: rgba(0, 0, 0, 0.05) 0px 6px 24px 0px,
  rgba(0, 0, 0, 0.08) 0px 0px 0px 1px;
$light-shadow-large: rgba(0, 0, 0, 0.05) 0px 6px 24px 0px,
  rgba(0, 0, 0, 0.1) 0px 0px 0px 1px;
$light-mediumground: mix($light-text, $light-background, 3%);

body {
  --accent: oklch(
    var(--accent-brightness) var(--accent-chroma) var(--accent-hue)
  );
  --accent-secondary: oklch(
    var(--accent-brightness-secondary) 0.07 var(--accent-hue)
  );
}

:root {
  --large-br: #{$br-large};
  --medium-br: #{$br-medium};
  --small-br: #{$br-small};
  --accent-hue: 290;
  --profile-background-chroma: 0.16;
}

body[data-theme="light"] {
  --accent-brightness: 60%;
  --accent-brightness-secondary: 65%;
  --accent-chroma: 0.14;

  --text: #{$light-text};
  --foreground: #{$light-foreground};
  --foreground-alt: #{$light-foreground-alt};
  --mediumground: #{$light-mediumground};
  --background: #{$light-background};
  --background-dark: #{mix($light-background, #000, 80%)};

  --primary-shadow: #{$light-shadow-large};
  --secondary-shadow: #{$light-shadow};
  --midnightblue: hsla(0, 0%, 0%, 0.04);
  --profile-background-lightness: 70.36%;

  --inset-shadow: rgba(0, 0, 0, 0.06) 0px 2px 4px 0px inset;
}

body[data-theme="dark"] {
  --accent-brightness: 70%;
  --accent-brightness-secondary: 60%;
  --accent-chroma: 0.1;

  --text: #{$dark-text};
  --foreground: #{$dark-foreground};
  --foreground-alt: #{$dark-foreground-alt};
  --mediumground: #{$dark-mediumground};
  --background: #{$dark-background};
  --background-dark: #{mix($dark-background, #000, 90%)};

  --inset-shadow: rgba(255, 255, 255, 0.1) 0px 1px 2px 0px inset;

  --primary-shadow: #{$dark-shadow-large};
  --secondary-shadow: #{$dark-shadow};

  --midnightblue: hsla(0, 0%, 70%, 0.067);
  --profile-background-lightness: var(--accent-brightness);
}

/* universal styling */
body {
  margin: 0;
  font-family: "Segoe UI", Tahoma, Geneva, Verdana, sans-serif;
  text-align: justify;

  color: var(--text);
  background: var(--background);

  input,
  textarea,
  select {
    box-shadow: var(--secondary-shadow);
  }
}

@view-transition {
  navigation: auto;
}
